Interface Layout

Direct Connects New Interface is simplistic, yet powerful.

Toolbar, Searchbar, and Banner

Connect - Opens Connect to Hub window

Users - Hides/shows the User pane

Transfers - Hides/shows the Transfer Pane

Help - Seems like you figured that one out on your own

Search - Type the name of the file you want to search for and click search

Banner - Clicking the banner pays for the creation of Direct Connect

Hub Information Bar (Not shown but located below search bar)
The Hub Information Bar displays what server you are connected to as well as how many users are connected and how many GB they are sharing total.

Window bar

The window bar allows you to switch between windows

User Pane (Favorite Users not shown)

The User Pane is divided into two tabs:

Online Users

Online Users displays a list of all the users connected to the hub.
Favorite Users
Favorite Users displays a list of your online friends.

Transfer Pane

The Transfer Pane is divided into four tabs:

Sharing

Sharing displays a list of other people who are connected to you

Downloads
Downloads displays what connections are currently open

Queue
Queue displays queued files

Complete
Complete displays a list of all uplaoded and downloaded file


Personal Options

Personal options controls what information about you others see.

Personal Information

Nickname (required)

Your nickname is what others will see you as...

Rules

  1. No spaces, use "_" underscores instead
  2. Do not use ~ ` | $
  3. Max 20 characters
  4. Nickname changes should be kept to a minimum so that features such as favorites and queue will work

E-Mail address (optional)

Your email address will allow others to send you email

Leave this blank if you are concerned about privacy

Connection Speed (required)

This allows others to know how fast you download.

If you are unsure what you use, then its probably either a modem(slow) or a shared T1(fast).

Description (optional)
Write a description of the types of files you plan to share.


File Transfers

File Transfers controls what files others can access, as well as where the files you download are stored. Many Hubs have share minimums so it is in your best interest to share a lot, but remember you are legally responsible for the things that you share.

Sharing/Downloading Options

Sharing Files

To share files simply select the folder you wish to share and click add. The list at the bottom displays what folders are currently shared.

Note: You can not share a subfolder of a folder that is already being shared.

Warning: DO NOT share your windows directory because your privacy will be invaded by users downloading your registry and ini files finding out your personal information as well as passwords.

Downloads Folder

Select the folder your want all you downloaded files to be saved in.

Max Sends

Max sends sets how many users can connect to you at once. Please set this appropriately. If you are on a T1 don't be a mizer, set it to 7 or 8. If your using a modem then 2 or 3 will be more appropriate.

  1. 28.8Kbps - 33.6Kbps: 1 to 2 Max Sends

  2. 56Kbps - ISDN: 1 to 3 Max Sends

  3. DSL - Cable Modem: 3 - 6 Max Sends

  4. LAN: 5 - 15 Max Sends


Interface

Interface settings controls how DC looks and behaves.

Interface Options

Hub Information Bar

The Hub Information Bar displays what server you are connected to as well as how many users are connected and how many GB they are sharing total.

Favorites

The favorites list allows you to locate your friends quickly on crowded hubs.

Sounds

The sounds signal events.

Queue Options

Automated Queue

Automatic Download/Resume allows DC to connect to users and transfer files in your queue without your intervention.

Save Queue

Saves Queue List so you can resume files from the other day.

Automatic Cleanup

Direct Connect will automatically remove items in your queue that haven't been active in 15days so that your queue doesn't become saturated with old entices.

Color Scheme

The color scheme allows you to select Direct Connects accent color and the font color.


Connection

The Connection settings allow you to choose how DC connect to hubs.

Connect to Hub at Startup
Allows Direct Connect to connect to your favorite hub on start.

Advanced Networking Options

Active Mode
If you are not behind a firewall or proxy use this mode.
Passive Mode
Allows you to use Direct Connect even if your behind a firewall or proxy. Some features may not work in this mode.


Searching for Files

Use the Search on the toolbar to quickly locate files...

Your results will be displayed in this window...

You can set advanced settings to help you weed out specific files...if needed, then research.

To download a file(s) select them and click Download

Advanced Search Options

Search All Hubs On This Network

If less than 10 results were found this feature will search other hubs to help you find the file you want.

Size

This feature allows you to weed out small or large files, as well as find an exact match.

Type

This feature allows you to select what type of file you wish to find.

Max Results

This limits how many results will be displayed for a search.


Browsing Through Files

Browsing Through Users

If your not sure, exactly what your looking for or if your curious about what other neat things are out there then you can browse through the files of others directly.

You browse through files on Direct Connect just as you would in windows explorer. To download just select your desired file(s) and click download.

You can also search for files on just the user you are connected to by using the search located above the file list.


Queued Files

The queue serves several purposes:

  1. If slots aren't available for you to transfer a file then the file remains in queue.
  2. If you select multiple files from a user they remain in queue.
  3. If you start downloading a file and the source-user gets off of DC then the item remains in queue until the next time the user gets online.

The Queue is categorized by user on the left list, and the queued items for the selected user are displayed on the right list. Rearranging the items in the right list prioritizes files.

Items will remain in queue until they are finished unless they are removed or are inactive for 15 days then they will be deleted.

Queue Context Menu

Resume
Resume will force DC to resume a file if it is available
Remove
Removes items from the queue
Save Queue
Saves Queue to hard drive


Download Status

Downloading Files

Once you find the file you wanted and clicked download where did it go? Isn't a window suppost to pop up or something? Not quite.

When you start downloading a file its status is displayed in the downloads tab on the transfer pane.

The status of all your transfers will be displayed here.

You can control your transfers by the options all the context menu. to bring up the context menu right click.

Downloads Context Menu

Cancle Transfers
Cancels the Transfer of the file and leave connection open.

Close Connections
Closes Connection sending the unfinished download back to queue.


Opening Downloaded Files

Opening Downlaoded Files

To open files that were previously downloaded goto the Complete tab


Public Chatting

Use Public chat to talk to everone on the hub. Its a good place to ask questions.

Direct Connect Applets

Hammer
Drag users to the Hammer window to try to get an open connection.
Notepad

Oh no! Someone just gave you an important piece of account information to get into a website. But you have to go; what do you do? You open up the Notepad, paste the info in there, and you can close Direct Connect feeling safe about it. Next time you open up Direct Connect, open up the Notepad applet, and there's your info!

Search

Opens the Search results window.

See Also: Search


Private Chatting

To chat privately with someone, right click on the name of the person you wish to chat with in the names list, then choose "Private Message" from the pop up window. This gives you a private message window. To send a message to that person, type it in the message text box at the bottom of the new window. Just like the main chat.


About Help for Direct Connect 1.0

Created By:

If you find any mistakes, or you feel there is something that needs to be added

then email me at Chrisschuchmann@hotmail.com